org.appng.api.support

## Class DummyPermissionProcessor

- java.lang.Object
- - org.appng.api.support.DefaultPermissionProcessor
  - - org.appng.api.support.DummyPermissionProcessor

- All Implemented Interfaces:
    PermissionProcessor

      public class DummyPermissionProcessor
      extends DefaultPermissionProcessor

  A `PermissionProcessor` that always returns `true` for
  - `hasPermission(String)`
  - `hasPermissions(PermissionOwner)`
  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyPermissionProcessor(Subject subject, Site site, Application application)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasPermission(String reference)` Checks whether the `Permission` identified by the given `reference` is present.
    `boolean` | `hasPermissions(PermissionOwner permissionOwner)` Checks whether all of the `PermissionOwner`s `Permission`s are present.

    - ### Methods inherited from class org.appng.api.support.DefaultPermissionProcessor

      `hasReadPermission, hasWritePermission`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyPermissionProcessor

          public DummyPermissionProcessor(Subject subject,
                                          Site site,
                                          Application application)

  - ### Method Detail

    - #### hasPermissions

          public boolean hasPermissions(PermissionOwner permissionOwner)

      Description copied from interface: `PermissionProcessor`
      Checks whether all of the `PermissionOwner`s `Permission`s are present.
      Specified by:
        `hasPermissions` in interface `PermissionProcessor`
      Overrides:
        `hasPermissions` in class `DefaultPermissionProcessor`
      Parameters:
        `permissionOwner` - the `PermissionOwner`
      Returns:
        `true` if all permissions are present, `false` otherwise

    - #### hasPermission

          public boolean hasPermission(String reference)

      Description copied from interface: `PermissionProcessor`
      Checks whether the `Permission` identified by the given `reference` is present.
      Specified by:
        `hasPermission` in interface `PermissionProcessor`
      Overrides:
        `hasPermission` in class `DefaultPermissionProcessor`
      Parameters:
        `reference` - the name of the `Permission` to check
      Returns:
        `true` if the permission is present, `false` otherwise
      See Also:
        `Permission.getRef()`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.